Package org.eclipse.graphiti.func

# Interface IUpdate

All Known Subinterfaces:
  `IPattern`, `IUpdateFeature`

All Known Implementing Classes:
  `AbstractPattern`, `AbstractUpdateFeature`, `DefaultUpdateDiagramFeature`, `IdPattern`, `TypedPattern`, `UpdateFeatureForPattern`, `UpdateNoBoFeature`

public interface IUpdate
The Interface IUpdate.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canUpdate(IUpdateContext context)`
Checks whether the values of the current pictogram element of the given context can be updated.
`boolean`
`update(IUpdateContext context)`
Updates the pictogram element.
`IReason`
`updateNeeded(IUpdateContext context)`
Check whether the values in the pictogram element are up to date, that means whether the graphics algorithm of this pictogram element contain the latest values from the business objects.

## Method Details

### canUpdate

boolean canUpdate(IUpdateContext context)
Checks whether the values of the current pictogram element of the given context can be updated.

Parameters:
  `context` - the context
Returns:
  true if update is possible

### updateNeeded

IReason updateNeeded(IUpdateContext context)
Check whether the values in the pictogram element are up to date, that means whether the graphics algorithm of this pictogram element contain the latest values from the business objects.

Parameters:
  `context` - the context
Returns:
  true if parts of the pictogram model needs to be updated with the latest values from the business model

### update

boolean update(IUpdateContext context)
Updates the pictogram element. It copies the latest values from the business model to the graphics algorithm of this pictogram elements.

Parameters:
  `context` - the context
Returns:
  true, if update process was successfull